'use strict';

/**
 * Validate concatenated sort code and bank account number
 * @param  {String}   sortCode             The sort code
 * @param  {String}   bankAccountNumber    The bank account number
 * @param  {Object[]} checkRecords         The matching check records
 * @param  {Object}   [modulusCheckSubstitution]    The matching substitution record
 *
 * @return  {Boolean}  True if check passed
 */
module.exports = function(sortCode, bankAccountNumber, checkRecords, modulusCheckSubstitution) {
    const ModulusChecker = require('./lib/ModulusChecker'),
        modulusChecker = new ModulusChecker();

    return modulusChecker.check(sortCode, bankAccountNumber, checkRecords, modulusCheckSubstitution);
};